module "private_server_group" {
  source                     = "./modules/private-server-group"
  location                   = var.location
  network_zone               = var.network_zone
  server_count               = var.server_count
  server_subnetwork_ip_range = var.subnetwork_ip_range
}

module "loadbalancer" {
  source         = "./modules/loadbalancer"
  location       = var.location
  subnet_id      = module.private_server_group.subnetwork_id
  lb_internal_ip = var.lb_internal_ip
  lb_external_ip = var.lb_external_ip
}
